ILayout = IModel.subClass();

ILayout.create = function(){
	
	var obj = this.prototype;
	
	obj.init = function(){
		this._xpath = "";
		this._names = ["ilayout"];
	}
	
	obj.setAction = function (url) {
		this._action = url;
	};
	
	obj.getAction = function () {
		return this._action;
	};
	
	obj.pull = function (){
		this._HTML = this.response(this.RESPONSE_TEXT);
	}
	
	obj.draw = function (){
		if(this._names.length){
			for(var i = 0; i < this._names.length; i ++){
				var exp = /(<body>)([\s\S]+?)(<\/body>)/g;
				var property = this._HTML;
				if(property && this.getElement(this._names[i]))
					this.getElement(this._names[i]).setText(property);
			}
		}
		return this._names;		
	}
	
	
	obj.response = function (response) {
		var self = this;
		
		if(response){
			this._response = response;
		}
		if(this._isSend){
			this._http.onreadystatechange = function (){
				if(self._http.readyState == 4)
					if(self._http.status < 400){
						callbackHandler();
					}else{
						self._http.abort();
						ILog.error("abort because of wrang status");
					}
			}
		}else{
			return null;
		}
		
		function callbackHandler() {
			self._HTML = self._http.responseText;
			self.draw();
			$import(self._action.replace(/\..*/g, ""));
		}
	};
}

ILayout.create();