IString = IObject.subClass();

IString.isEmpty = function(str){
	if(typeof str == "undefined" || str == null || this.trim(str) == "")
		return true;
	return false;
}

IString.trim = function(str){
	return str.replace(/(^[\s]*)|([\s]*$)/g, "");
}

IString.replace = function(str, orig, target){
	var st = str;
	if (orig.length == 0)
		return st;
	var idx = st.indexOf(orig);
	while (idx >= 0){
		st = st.substring(0,idx) + target + st.substr(idx+orig.length);
		idx = st.indexOf(orig);
	}
	return st;
}

IString.isString = function(str){
	if( typeof str == "string")
		return true;
	return false;
}

